package com.ho.filecenter.service;

import com.ho.filecenter.entity.FlowMonitor;
import com.ho.filecenter.vo.flowMonitor.*;

import java.util.List;

/**
 * @author gyan
 * @desc: 移动流量卡
 * @DateTime: 2024/1/16 19:49
 */
public interface FlowMonitorService {

    int insertSelective(FlowMonitorAddVo vo);

    void deletedByIds(List<Integer> ids);

    int updateByPrimaryKeySelective(FlowMonitorPutVo vo);


    void getPackageInfo();

    List<FlowMonitorAllData> selectAllPack(FlowMonitor vo);


    List<CardInfoDate> selectByCardInfo(CardSelectVO vo);

    FlowMonitor selectById(Integer flowMonitorId);

    FlowMonitor selectByPid(FlowMonitorAddVo vo);

    void addCardInfo(CardAddVo vo);
}
